API referenceWebhookEvent
Retrieves the collection of WebhookEvent resources.
Retrieves the collection of WebhookEvent resources.
GET
/api/webhook_endpoints/{endpointId}/eventscurl -X GET "/api/webhook_endpoints/{endpointId}/events" \
-H "apikey: $MEDIALISTER_CLIENT_API_KEY"Authorization
apikeystringheaderrequiredValue for the apikey header parameter.
Parameters
endpointIdstringpathrequiredWebhookEndpointResource identifier
Response
application/ld+json200
WebhookEvent collection
hydra:totalItemsintegerhydra:searchobjecthydra:memberWebhookEvent.jsonld[]required
{
"hydra:totalItems": 0,
"hydra:search": {
"@type": "string",
"hydra:template": "string",
"hydra:variableRepresentation": "string",
"hydra:mapping": [
{
"@type": "string",
"variable": "string",
"property": "string",
"required": true
}
]
},
"hydra:member": [
{
"@context": "string",
"@id": "string",
"@type": "string",
"id": "string",
"type": "string",
"reason": "string",
"orderId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending",
"attempts": 0,
"createdAt": "2026-01-15T09:30:00Z",
"deliveredAt": "2026-01-15T09:30:00Z",
"deliveries": [
{
"attempt": 0,
"sentAt": "2026-01-15T09:30:00Z",
"successful": true,
"pong": true,
"httpStatus": 0,
"durationMs": 0,
"error": "string"
}
]
}
]
}